subtitlecomposer (0.8.2-2build3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:17:52 +0000

subtitlecomposer (0.8.2-2build2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Dec 2025 15:15:03 +0000

subtitlecomposer (0.8.2-2build1) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:00:45 +0100

subtitlecomposer (0.8.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 0043f4434886c5aabe99705d40bd7f633b8b73e7 to fix
    build with FFmpeg 8; patch
    upstream_Include-libavcodec-avfft.h-only-when-AUDIO_VISUALIZA.patch.
    (Closes: #1115045)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Sep 2025 18:32:35 +0200

subtitlecomposer (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Replaced-deprecated-FFmpeg-channel-layout-code.patch: drop,
      backported from upstream
    - upstream_VideoPlayer-check-AVFMT_NO_BYTE_SEEK-flag-for-seek_b.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-stop-using-AVFrame.pkt_pos.patch: drop, backported
      from upstream
    - upstream_VideoPlayer-remove-usage-of-internal-AVInputFormat.r.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-stop-injecting-stream-side-data-in-packe.patch:
      drop, backported from upstream
    - upstream_VideoPlayer-check-return-of-swr_alloc_set_opts2.patch: drop,
      backported from upstream
    - upstream_StreamProcessor-stop-using-pkt_duration.patch: drop, backported
      from upstream
    - upstream_StreamProcessor-stop-using-AVFrame-duration.patch: drop,
      backported from upstream
    - upstream_Require-FFmpeg-5.1.5.patch: drop, backported from upstream
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, qtbase5-private-dev, qtdeclarative5-dev,
      libkf5codecs-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, libkf5kio-dev, libkf5sonnet-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-base-private-dev, qt6-declarative-dev,
      qt6-5compat-dev, libkf6codecs-dev, libkf6config-dev,
      libkf6configwidgets-dev, libkf6coreaddons-dev, libkf6i18n-dev,
      libkf6kio-dev, libkf6sonnet-dev, libkf6textwidgets-dev,
      libkf6widgetsaddons-dev, and libkf6xmlgui-dev
  * Switch the kf5 dh addon to kf6.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DQT_MAJOR_VERSION=6 to cmake to build with Qt 6.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Sep 2025 20:06:08 +0200

subtitlecomposer (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit bc9f0507df17c42746ef5acc06313a7a058391d4,
    commit cba7681e7931d7217cc063dc256939baec83a19e,
    commit 91b414a778cfc8fcee55f72352043aade2582627,
    commit 6de245940eea868762021c5ba7ee4c621404feeb,
    commit 616d5d60572ba57fad45aa139a99eb6a43a73c5f,
    commit 5ad0c6046828f842650de39438afa276902e1c94,
    commit 7959dcc03a3943f551b21bbfeba97e8ae1e3814a,
    commit 1e8f6320e8bb914c5dce50a90c8ae290bb5d9919, and
    commit 98a77fc69fc62b857054f3b1cdbb7a8a03e2ae36 to improve the FFmpeg code,
    and make it compatible with FFmpeg 7+; patches
    upstream_Replaced-deprecated-FFmpeg-channel-layout-code.patch,
    upstream_VideoPlayer-check-AVFMT_NO_BYTE_SEEK-flag-for-seek_b.patch,
    upstream_VideoPlayer-stop-using-AVFrame.pkt_pos.patch,
    upstream_VideoPlayer-remove-usage-of-internal-AVInputFormat.r.patch,
    upstream_VideoPlayer-stop-injecting-stream-side-data-in-packe.patch,
    upstream_VideoPlayer-check-return-of-swr_alloc_set_opts2.patch,
    upstream_StreamProcessor-stop-using-pkt_duration.patch,
    upstream_StreamProcessor-stop-using-AVFrame-duration.patch, and
    upstream_Require-FFmpeg-5.1.5.patch (Closes: #1072453)
    - bump the FFmpeg build dependencies to 5.1.5 accordingly
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sun, 04 Aug 2024 07:53:20 +0200

subtitlecomposer (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 12 Jun 2024 06:45:49 +0200

subtitlecomposer (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the libqt5opengl5-desktop-dev build dependency, as subtitlecomposer
    0.8.0 should build and work also with OpenGL ES.
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 09:21:10 +0200

subtitlecomposer (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-compilation-with-ffmpeg5-63.patch: drop, backported from
      upstream
    - upstream_VideoPlayer-Fix-usage-of-deprecated-removed-AVCodec-.patch:
      drop, backported from upstream
    - upstream_Use-non-deprecated-ffmpeg-api.patch: drop, backported from
      upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - add qtdeclarative5-dev, and libssl-dev
    - drop libkf5auth-dev, and kross-dev, no more used
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Nov 2023 22:08:57 +0100

subtitlecomposer (0.7.1-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 12f4d7f49d0b1a7fc02b0836521a285e7b6bac9d to switch
    away from av_mallocz_array(), removed in ffmpeg 6; patch
    upstream_Use-non-deprecated-ffmpeg-api.patch. (Closes: #1041507)
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jul 2023 09:58:30 +0200

subtitlecomposer (0.7.1-4) unstable; urgency=medium

  * Team upload.

  [ Diederik de Haas ]
  * Backport upstream commit d8f9797d9c0d45fa9f4402f79c539544b74d2cc7 to
    remove deprecated API usage; patch
    upstream_VideoPlayer-Fix-usage-of-deprecated-removed-AVCodec-.patch.
    (Closes: #1020819)

 -- Pino Toscano <pino@debian.org>  Fri, 28 Oct 2022 11:41:15 +0200

subtitlecomposer (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Backport upstream commit 4f4f560e40ba0b760cf688eb024be3cc734ca347 to build
    with ffmpeg 5.x; patch upstream_Fix-compilation-with-ffmpeg5-63.patch.
    (Closes: #1004600)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Jun 2022 08:17:14 +0200

subtitlecomposer (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Add the libqt5opengl5-desktop-dev build dependency: even if subtitlecomposer
    does not use QtOpenGL directly, it does seem to require the Desktop GL, and
    cannot use EGL.
  * Add the libpocketsphinx-dev build dependency to enable the support for
    speech recognition; only on amd64, and i386 for now, as PocketSphinx is not
    available on all the architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 20:17:00 +0200

subtitlecomposer (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Point Source field in machine readable copyright to the invent.kde.org
    repo.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

  [ Pino Toscano ]
  * New upstream release:
    - drops the subpicture/x-pgs MIME from the desktop file (Closes: #944274)
  * Update lintian overrides.
  * Update watch file to the new upstream release location, and switch to v4.
  * Update the patches:
    - fix-appstream.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.4
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.44.0
    - add qtbase5-private-dev, libswscale-dev, and libopenal-dev
    - explicitly add gettext
    - remove no more needed: libphonon4qt5-dev, libphonon4qt5experimental-dev,
      libgstreamer-plugins-base1.0-dev, libglib2.0-dev, libmpv-dev, and
      libxcb1-dev
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the mplayer suggest, as it is no more used.
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 07:26:51 +0200

subtitlecomposer (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Fix the AppStream XML file (patch fix-appstream.diff), and ship it again.
  * Do not specify to link in as-needed mode, as it is the binutils default now.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Aug 2020 09:22:25 +0200

subtitlecomposer (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - cmake-policy.diff: drop, fixed upstream
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove the libx11-dev build dependency, no more needed now.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Stop installing the AUTHORS file, as it does not exist anymore.
  * Avoid installing the appstream XML file for now, as it seems not valid.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:50:51 +0200

subtitlecomposer (0.6.6-2) unstable; urgency=medium

  * Team upload.
  * Configure Xvfb so it has a proper depth; it should work also when Qt is
    built with OpenGL ES.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Feb 2018 08:35:11 +0100

subtitlecomposer (0.6.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add new build dependencies required by the new version: libavcodec-dev,
    libavformat-dev, libavutil-dev, and libswresample-dev.
  * Do not fail if cmake does not have policy CMP0071; patch cmake-policy.diff.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Update copyright.
  * Small changes to the description.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Feb 2018 07:49:50 +0100

subtitlecomposer (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kio-dev -> libkf5kio-dev
  * Update copyright.
  * Update the patches:
    - xine-cmake.diff: drop, backported from upstream
  * Do not install the upstream TODO as documentation, since it is not
    interesting for users, and in this case also basically empty.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Sep 2017 19:27:28 +0200

subtitlecomposer (0.6.4-2) unstable; urgency=medium

  * Team upload.
  * Remove support for Xine:
    - drop the libxine2-dev build dependency
    - stop mentioning it in the description
    - stop using the xine dh addon
    - stop mentioning the ${xine-x:Depends} variable
    - avoid cmake failure when Xine is not found; patch xine-cmake.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jun 2016 23:33:49 +0200

subtitlecomposer (0.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with GCC 6 (Closes: #812035)
  * Update copyright.
  * Update the patches:
    - fix-plugins-loading.diff: drop, fixed upstream
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 16 May 2016 08:28:08 +0200

subtitlecomposer (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix Vcs-Git field.
  * Update the patches:
    - link-x11.diff: drop, fixed upstream
  * Fix the loading of videoplayer plugins; patch fix-plugins-loading.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Apr 2016 00:04:04 +0200

subtitlecomposer (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add qtbase5-dev, extra-cmake-modules,  libkf5auth-dev, libkf5codecs-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5i18n-dev, kio-dev, kross-dev, libkf5sonnet-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update Homepage to the new github home.
  * Drop menu file, since subtitlecomposer already provides a .desktop file.
  * Remove useless dh_install override, since it does the same thing.
  * Update the build dependencies:
    - add libphonon4qt5-dev, libphonon4qt5experimental-dev, libicu-dev,
      libmpv-dev, and libxcb1-dev, needed by the new version
    - remove unused libxml2-dev
    - make pkg-config explicit
  * Update the Vcs-* fields.
  * Update the patches:
    - 0001-Link-phonon.patch: drop, fixed upstream
    - 0002-Link-against-X11.patch: drop, reworking it in a new link-x11.diff
    - 0003-Find-platform-dependant-include-files-of-GStreamer.patch: drop,
      fixed upstream
    - 0004-Fix-crash-Sonnet-Dialog-cannot-handle-empty-buffers.patch: drop,
      obsolete
  * The test suite needs X11, so:
    - add the xvfb and xauth build dependencies
    - run dh_auto_test with xvfb-run
  * Update lintian overrides.
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Remove no more useful Build-Conflicts: qt5-default.
  * Switch mplayer2 suggest to mplayer.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Mar 2016 13:13:26 +0200

subtitlecomposer (0.5.7-1) unstable; urgency=medium

  [ Martin Steghöfer ]
  * Imported Upstream version 0.5.7 (Closes: #571687, #704067, #776326,
    #799957).
  * Dropped patches regarding bugs that are already fixed in the new upstream version.
  * Rebased remaining patches onto new upstream version.
  * Updated debian/watch to new repository location.
  * The new upstream version needs GStreamer 1.x. (Closes: #785853)
  * Patched FindGStreamer.cmake, so it finds gst/gstconfig.h in the Debian directory layout.
  * Declared build conflict with Qt5. (Closes: #784075)
  * Suggest "mplayer2" instead of "mplayer". (Closes: #686167)
  * Removed lintian override that is both malformed (lintian complains about the override itself)
    and obsolete (lintian accepts a Build-Depends on "libxine2-dev").
  * Bumped Standards-Version to 3.9.6 (no changes necessary according to upgrading checklist).
  * Fix crash on spell checking an empty subtitle entry. (Closes: #694812)

  [ Maximiliano Curia ]
  * Migrate copyright file to copyright 1.0.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 11:33:42 +0200

subtitlecomposer (0.5.3-4) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Using ${xine-x:Depends} provided by dh_xine (Closes: #575124).
  * Point debian/control Vcs fields to the new Git repository.
  * Build depend on libxine2-dev instead of libxine-dev (Closes: #724751).
  * Add link_against_x11.diff (Closes: #713576).
  * Bump Standards-Version to 3.9.4, no changes required.
  * Update lintian overrides.

  [ Maximiliano Curia ]
  * Update vcs fields.
  * Migrate cdbs to dh 9.
  * Add myself as uploader.
  * Add lintian override, xine addon provided by libxine2-dev.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Nov 2013 10:26:58 +0100

subtitlecomposer (0.5.3-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Added 04_fix_ftbfs_gcc_4_5.diff (Closes: #565078).
  * Added "DEB_KDE_LINK_WITH_AS_NEEDED := yes" to debian/rules.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 14 Jan 2010 15:30:06 +0100

subtitlecomposer (0.5.3-2) unstable; urgency=low

  * Added patches to avoid an FTBFS when compiling with binutils-gold:
    + 01_link_gobject.diff
    + 02_link_krosscore.diff
    + 03_link_phonon.diff
  * Bump Standards Version to 3.8.3, no changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 13 Nov 2009 19:48:15 +0100

subtitlecomposer (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Dropped the following patches because upstream fixed the issues:
    + debian/patches/missing_gstreamer_headers.patch
    + debian/patches/missing_phonon_link.patch
    + debian/patches/textoverlay_fix.patch
  * No build-depend on quilt since there are no patches to apply.
  * Don't install KRAZY file because upstream is not provinding it for this
    release.
  * Bump Standards Version to 3.8.2, no changes needed.
  * Added lintian overrides for ruby scripts intended to be ran using Kross.
  * Refreshed man page, generated with kdemangen.pl and edited by hand to avoid
    lintian warnings.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 19 Jun 2009 00:41:55 +0200

subtitlecomposer (0.5.2-1) unstable; urgency=low

  * Manpage generated with kdemangen.pl and edited by hand to avoid lintian
    warnings.
  * Patches to fix missing library links/headers:
    + debian/patches/missing_gstreamer_headers.patch
    + debian/patches/missing_phonon_link.patch
  * Patch to make the video player work:
    + debian/patches/textoverlay_fix.patch
  * Initial release (Closes: #516372).

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 19 May 2009 00:47:30 +0200
